CREATE TABLE ad_topology (
    HOSTNAME                 VARCHAR2(1200),
    HOSTIP                   VARCHAR2(240) ,
    HOSTTYPE                 VARCHAR2(240)     NOT NULL,
    CPU_COUNT                NUMBER        ,
    RUP_WORKER_RANGE         VARCHAR2(80)  ,
    LP_WORKER_RANGE          VARCHAR2(80)  ,
    WORKER_COUNT             NUMBER        ,
    PATCHING_BASE_RANGE      VARCHAR2(80)  ,
    PATCHING_NLS_RANGE       VARCHAR2(80)  ,
    ORA_EDITION_CONTEXT      VARCHAR2(120) ,
    HOSTNAME                 VARCHAR2(1200),
    HOSTIP                   VARCHAR2(240) ,
    HOSTTYPE                 VARCHAR2(240)     NOT NULL,
    CPU_COUNT                NUMBER        ,
    WORKER_RANGE             VARCHAR2(80)  ,
    RUP_WORKER_RANGE         VARCHAR2(80)  ,
    LP_WORKER_RANGE          VARCHAR2(80)  ,
    PATCHING_WORKER_RANGE    VARCHAR2(80)  ,
    WORKER_COUNT             NUMBER        ,
    PATCHING_BASE_RANGE      VARCHAR2(80)  ,
    PATCHING_NLS_RANGE       VARCHAR2(80)  ,
    ORA_EDITION_CONTEXT      VARCHAR2(120) ,
    CONSTRAINT pk_ad_topology PRIMARY KEY (HOSTNAME, HOSTIP, ORA_EDITION_CONTEXT, HOSTNAME, HOSTIP, ORA_EDITION_CONTEXT)
);
